<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateOrdersTable extends Migration
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->increments('id');
            $table->increments('production_user_id');
            $table->increments('lead_id');
            $table->increments('sales_person_id');
            $table->increments('production_team_id');
            $table->string('link', 255);
            $table->string('user_name', 255);
            $table->string('password', 255);
            $table->string('portal', 255);
            $table->datetime('deadline');
            $table->text('comments', 65535);
            $table->datetime('deleted_at');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('orders');
    }
}
